<?php

	include_once( PLOG_CLASS_PATH."class/plugin/pluginbase.class.php" );
	
	/**
	 * plugin registration and stuff like that...
	 */
	class PluginAtom extends PluginBase
	{

		function PluginAtom()
		{
			$this->PluginBase();

			$this->id = "atom";
			$this->description = "Provides Atom access to your blog.";
			$this->author = "The pLog Team";
			$this->locales = Array( "en_UK" );

			$this->init();
		}

		/**
		 * set some actions and menu options
		 * @private
		 */
		function init()
		{
			// register actions
			$this->registerAdminAction( "atomSettings", "AdminAtomPluginSettingsAction" );
			$this->registerAdminAction( "updateAtomSettings", "AdminAtomPluginUpdateSettingsAction" );

			// register menu entries
			$this->addMenuEntry( "/menu/controlCenter/manageSettings",   // menu path
                                             "atomSettings",    // menu id
                                             "admin.php?op=atomSettings",     // url
                                             "Atom",    // text to show
                                             true,       // can't...
                                             false       // ...remember :)
                                            );
		}
	}
?>